﻿/* pc样式 */
@media screen and (min-width: 1024px){
    .imglist{}
    .imglist li a{
        padding: 0 0.45rem 0 0.2rem;
        margin-top: 0.7rem;
        height: 2.7rem;
        display: flex;
        justify-content: space-between;
        background-color: #fcf9f0;
        border-bottom: 3px solid var(--zt_color--);
        transition: all .5s ease;
    }

    .imglist li:hover a {
        box-shadow: 0 0 10px 0 rgba(0,0,0,.2);
        transition: all .5s ease;
        background-color: var(--zt_color--);
    }
    .imglist li:hover a h2 {
        transition: all .5s ease;
        background: linear-gradient(to right,rgba(255, 255, 255,.6),rgba(255, 255, 255,0));
    }

    .imglist-img{
        transform: translate(0,-0.3rem);
        width: 1.8rem;
        height: 2.7rem;
        background-repeat: no-repeat;
        background-position: center;
        background-size: auto 2.7rem;
    }

    .imglist-text{
        padding-left: 0.4rem;
        flex: 1;
    }
    .imglist-text h2{
        transition: all .5s ease;
        margin-top: 0.2rem;
        font-size: 0.2rem;
        padding-left: 0.25rem;
        color: #333333;
        display: flex;
        align-items: center;
        width: 3rem;
        height: 0.4rem;
        background: linear-gradient(to right,rgba(254, 193, 14,.4),rgba(255, 255, 255,0));
        border-radius: 0.2rem;
    }
    .imglist-text p{
        margin-top: 0.2rem;
        font-size: 0.18rem;
        line-height: 0.3rem;
        color: #333333;
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 5;
        -webkit-box-orient: vertical;
    }
}

/* 移动端样式 */
@media screen and (max-width: 1024px) {
    .imglist{}
    .imglist li a{
        padding: 0 0.45rem 0 0.2rem;
        margin-top: 0.7rem;
        height: 2.7rem;
        display: flex;
        justify-content: space-between;
        background-color: #fcf9f0;
        border-bottom: 3px solid var(--zt_color--);
        transition: all .5s ease;
    }

    .imglist li:hover a {
        box-shadow: 0 0 10px 0 rgba(0,0,0,.2);
        transition: all .5s ease;
        background-color: var(--zt_color--);
    }
    .imglist li:hover a h2 {
        transition: all .5s ease;
        background: linear-gradient(to right,rgba(255, 255, 255,.6),rgba(255, 255, 255,0));
    }

    .imglist-img{
        transform: translate(0,-0.3rem);
        width: 1.8rem;
        height: 2.7rem;
        background-repeat: no-repeat;
        background-position: center;
        background-size: auto 2.7rem;
    }

    .imglist-text{
        padding-left: 0.4rem;
        flex: 1;
    }
    .imglist-text h2{
        transition: all .5s ease;
        margin-top: 0.2rem;
        font-size: 0.2rem;
        padding-left: 0.25rem;
        color: #333333;
        display: flex;
        align-items: center;
        width: 3rem;
        height: 0.4rem;
        background: linear-gradient(to right,rgba(254, 193, 14,.4),rgba(255, 255, 255,0));
        border-radius: 0.2rem;
    }
    .imglist-text p{
        margin-top: 0.2rem;
        font-size: 0.18rem;
        line-height: 0.3rem;
        color: #333333;
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 5;
        -webkit-box-orient: vertical;
    }
}

@media screen and (max-width: 800px) {
    .imglist li a {
        padding: 0 0.3rem 0 0.2rem;
    }
}